Paddle2.0 安装指南(Windows-CPU、GPU,linux-CPU)

原创
2020/11/26 17:48
阅读数 3.8K

白话Paddle2.0-rc — 起航新征程

下载安装命令

## CPU版本安装命令
pip install -f https://paddlepaddle.org.cn/pip/oschina/cpu paddlepaddle

## GPU版本安装命令
pip install -f https://paddlepaddle.org.cn/pip/oschina/gpu paddlepaddle-gpu

paddlepaddle一场新的飞跃!

paddlepaddle 1.8后革新版本的2.0-rc已经发布了,新的版本新的飞跃,让我们一起脚踏飞桨的祥云,遨游代码的海洋,打开深度学习的大门,共同探索美好新未来

# 查看当前安装的版本
import paddle
print("paddle " + paddle.__version__)
paddle 2.0.0-rc0

让我们一起开启新世界的大门吧~~~

本文的AIstudio配套环境地址:https://aistudio.baidu.com/aistudio/projectdetail/1270135

等待,这里需要等待一下掉队的童鞋!

基于没有安装paddlepaddle的童鞋们我就给大家来排雷

参考文档

百度paddlepaddle官方安装教程:https://www.paddlepaddle.org.cn/install/quick/zh/2.0rc-windows-conda

小鸭学院paddlepaddle安装错误处理教程:https://blog.csdn.net/weixin_41450123/article/details/109701779

使用CPU版本的小伙伴朝这里看了

  • 点开我们的官方文档,选择对应的版本。查看有关的代码进行安装,即可。

!python -m pip install paddlepaddle==2.0.0rc0 -i https://mirror.baidu.com/pypi/simple  # 在cmd中运行时把!去掉即可

让我们看看实际的运行效果吧!

查看是否安装成功!

 

import paddle.fluid as fluid
fluid.install_check.run_check()
# 只要出现"Your Paddle Fluid is installed succesfully!"就是安装成功!

 

Running Verify Fluid Program ... 
Your Paddle Fluid works well on SINGLE GPU or CPU.
Your Paddle Fluid works well on MUTIPLE GPU or CPU.
Your Paddle Fluid is installed successfully! Let's start deep Learning with Paddle Fluid now

 

CPU版本安装注意事项

  • 电脑有多个python环境,当前环境不是预期环境

解决:查看当前python环境,检查是否符合预期

解决:使用3.5.+及以上版本进行处理

  • pip的版本太低导致paddle安装报错

解决:使用’python3 -m pip install --upgrade pip’等代码进行升级

  • 安装网络异常,未成功安装

解决:重新进行安装

GPU的小伙伴我们走啦走啦!

GPU所需要的环境和内容比较多,较为复杂但是不怕我们一步一步完全看啦!

老规矩让我们看看需要什么啦!

注意:此处需要根据实际情况对conda进行确认。

环境的准备

项目 要求
Windows 7/8/10 专业版/企业版 (64bit)
CUDA 9.0/9.1/9.2/10.0/10.1/10.2,且仅支持单卡
conda 4.8.3+ (64 bit)
  • conda的安装

地址:Anaconda官网

根据自己的需要和实际情况对anaconda进行下载或安装(建议安装最新版本)

虚拟环境的创建

大家对虚拟环境一定不陌生,都是老朋友了,那那那新手怎么办?

茫茫然?

小白带你白话创环境!(下面创建的是Anaconda虚拟环境如果不是conda环境请自行搜索)

  • 1.pytho虚拟环境创建

paddlepaddle2.0目前暂时支持python2.7.15以上版本和3.5.+、3.6.+、3.7.+、3.8.+

(此处不建议使用2.7版本,paddlepaddle2.0将不再支持python2系列)

conda create -n <自定义名称> python=3.x (自己实际需要的版本)

这里三岁自定义的名字是paddlepaddle2.0-re

  • 2.查看自己的创建的虚拟环境及版本(先找到位置,这里三岁找了好久没有比较好的办法,还是看你们自定义安装的位置这里就不展示了)

python --version

  • 3.确认Python和pip是64bit,并且处理器架构是x86_64(或称作x64、Intel 64、AMD64)架构

python -c "import platform;print(platform.architecture()[0]);print(platform.machine())"

开始安装paddlepaddle2.0-rc GPU版本

  • 1.进入指定环境

activate xxxxxx == 自己的环境名字

** 在前面的括号里面出现了自己的环境名称就可以!**

  • 2.开始安装

这里就需要大家根据自己的实际情况进行进行处理了不同的coda使用不同的版本。

安装结束后确认

这里的确认方式与CPU相同

但是这里的问题可能比较多

emmm,看看解决方案吧!

GPU安装容易出现的问题

  • pip、python等版本不对

解决:升级pip、使用合适的版本进行安装

  • conda 环境多导致版本选择错误

解决:查找conda中的虚拟环境,在正确的虚拟环境中进行安装

  • CUDA不符合,显卡不匹配或不适用

解决:查看显卡是否是英伟达的然后CUDA版本是否正确如果不正确请,更换硬件或升级有关软件

  • 其他花式报错:

解决方法:参考链接:https://blog.csdn.net/weixin_41450123/article/details/109701779

linux CPU的小伙伴我们启程啦

由于三岁只有阿里云,无法使用GPU版本,此处只做CPU的教程啦!

还是老规矩官网找到我们安装代码!

python -m pip install paddlepaddle==2.0.0rc0 -i https://mirror.baidu.com/pypi/simple
  • 此处注意LINUX里面都是有python2作为底层内容的需要确保使用的合适的版本所以需要根据实际情况进行处理

此处三岁把python改成了python3进行安装

爱情来得就是这么猝不及防

安装之间发现黄色的错误警报信息,顿时让一个linux慌了手脚。

一顿操作猛如虎,发现是path没有填写完整,进行改正发现已经问题不大

确认安装成功

linux涉及的问题

  • python安装的问题,linux涉及python3和Python2之类的共同问题

解决方案:合理安装python,升级pip对,path进行必要的更改

  • 网络的问题:有些linux在虚拟机上或者在服务器端,远程操作,可能涉及网络不好导致无法安装

解决方案:处理好网络接口等各方面问题然后进行再次安装即可。

下载安装命令

## CPU版本安装命令
pip install -f https://paddlepaddle.org.cn/pip/oschina/cpu paddlepaddle

## GPU版本安装命令
pip install -f https://paddlepaddle.org.cn/pip/oschina/gpu paddlepaddle-gpu

本文同步分享在 博客“三岁学编程”(CSDN)。
如有侵权,请联系 support@oschina.cn 删除。
本文参与“OSC源创计划”,欢迎正在阅读的你也加入,一起分享。

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部